Gecode::BrancherNoPrint< View, Val > Class Template Reference

Class without print function. More...

`#include <print.hpp>`

## Public Types

typedef View::VarType | Var
| The corresponding variable type.

## Public Member Functions

| BrancherNoPrint (VarValPrint< Var, Val > vvp)
| Initialize.
| BrancherNoPrint (BrancherNoPrint &bp)
| Initialize during cloning.
| operator bool (void) const
| Whether printing is enabled.
void | operator() (const Space &home, const Brancher &b, unsigned int a, View x, int i, const Val &m, std::ostream &o) const
| Invoke print function.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete.

## Detailed Description

template<class View, class Val>
class Gecode::BrancherNoPrint< View, Val >

Class without print function.

Definition at line 73 of file print.hpp.

## Member Typedef Documentation

## Var

template<class View, class Val>

typedef View::VarType Gecode::BrancherNoPrint< View, Val >::Var

The corresponding variable type.

Definition at line 76 of file print.hpp.

## Constructor & Destructor Documentation

## BrancherNoPrint() [1/2]

template<class View, class Val>

Gecode::BrancherNoPrint< View, Val >::BrancherNoPrint | ( | VarValPrint< Var, Val > | vvp | ) |

inline

Initialize.

Definition at line 142 of file print.hpp.

## BrancherNoPrint() [2/2]

template<class View, class Val>

Gecode::BrancherNoPrint< View, Val >::BrancherNoPrint | ( | BrancherNoPrint< View, Val > & | bp | ) |

Initialize during cloning.

## Member Function Documentation

## operator bool()

template<class View, class Val>

Gecode::BrancherNoPrint< View, Val >::operator bool | ( | void |  | ) | const

inline

Whether printing is enabled.

Definition at line 153 of file print.hpp.

## operator()()

template<class View, class Val>

void Gecode::BrancherNoPrint< View, Val >::operator() | ( | const Space & | home,
|  | const Brancher & | b,
|  | unsigned int | a,
|  | View | x,
|  | int | i,
|  | const Val & | m,
|  | std::ostream & | o ) const

inline

Invoke print function.

Definition at line 159 of file print.hpp.

## notice()

template<class View, class Val>

bool Gecode::BrancherNoPrint< View, Val >::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 165 of file print.hpp.

## dispose()

template<class View, class Val>

void Gecode::BrancherNoPrint< View, Val >::dispose | ( | Space & | home | ) |

inline

Delete.

Definition at line 171 of file print.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/print.hpp